
QGIS Application - Bug report #20195

Theme does not work well with new Mac Mojave dark theme

2018-10-23 01:49 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 28016

Description

see https://i.imgur.com/uhoTAhh.png

History

#1 - 2018-10-23 01:53 PM - Denis Rouzaud

https://i.imgur.com/oErP2rn.png

#2 - 2018-10-23 07:06 PM - Nyall Dawson

Isn't this fundamentally a qt issue?

#3 - 2018-10-24 01:21 PM - Denis Rouzaud

yes, most likely this one

https://bugreports.qt.io/browse/QTBUG-68891

apparently fixed in upcoming 5.12 (planned on 29.11.2018 https://wiki.qt.io/Qt_5.12_Release)

#4 - 2018-10-24 07:51 PM - Denis Rouzaud

see https://github.com/qgis/QGIS/pull/8309

#5 - 2018-12-29 08:30 PM - Nyall Dawson

This is fixed, right?

#6 - 2018-12-31 02:50 PM - Giovanni Manghi

- Status changed from Open to Feedback

#7 - 2019-01-15 03:25 AM - Seth Fitzsimmons

- File Screen Shot 2019-01-14 at 6.23.43 PM.png added

- File Screen Shot 2019-01-14 at 6.23.12 PM.png added
This has improved substantially in the nightlies since 3.4.3, although there are still some places that are difficult to use. I've attached a couple screenshots

of the Query Builder.

When focused, it's nearly impossible to see text when entering filter expressions (when unfocused, it's actually more readable)

#8 - 2019-01-15 03:31 AM - Seth Fitzsimmons

- File Screen Shot 2019-01-14 at 6.27.29 PM.png added

- File Screen Shot 2019-01-14 at 6.30.09 PM.png added

The Attribute Table form view also suffers from some contrast issues.

In general, black text on UI elements is difficult to read.

#9 - 2019-01-15 03:34 AM - Seth Fitzsimmons

(My screenshots are from Lutra's 20190108 build, so it looks like https://github.com/qgis/QGIS/commit/aafd84812e1a0a11736d713deae35d329aab3716

, etc. may have addressed these.)

#10 - 2019-01-15 04:05 AM - Mathieu Pellerin - nIRV

I think we can close this issue, the original issue reported here was most likely due to a non-fusion style (macintosh here) used against a non-default theme

(night mapping). Since January 10 - https://github.com/qgis/QGIS/commit/c7abba03fbea84ecf71fd41f0c9bfe27cf65f60c - we enforce the fusion style on

non-default themes.

As for possible additional refinements to night mapping, might be worth opening individual tickets to address specific issues.

EDIT: ignore the above, it's clear not about Night Mapping :)

#11 - 2019-03-09 04:51 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from High to Normal

#12 - 2019-05-15 10:18 PM - Denis Rouzaud

- Resolution set to up/downstream

- Status changed from Open to Closed

Qt now correctly supports Mac OS dark theme.

There are still some glitches, mainly related to QGIS customizations, but we need specific issues for these.
